purebasic.info

PureBasic forum
Текущее время: Вт янв 16, 2018 2:00 pm

Часовой пояс: UTC + 3 часа




Начать новую тему Ответить на тему  [ Сообщений: 85 ]  На страницу Пред.  1, 2, 3, 4, 5, 6  След.
Автор Сообщение
 Заголовок сообщения:
СообщениеДобавлено: Пн янв 23, 2012 5:40 pm 
Не в сети
ассистент

Зарегистрирован: Вс янв 22, 2012 2:27 pm
Сообщений: 10
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
lakomet писал(а):
Javaca
Не ошибается тот, кто ничего не делает :wink: (фраза не моя, честно стыренная), тем более фред исправил ошибку. Просите пончика выложить обновлённый дистр пурика и всё будет работать.


Если Вас не затруднит, можете мне в привате дать линк на обновленный дистр :wink: Публиковать его не буду.


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Чт янв 26, 2012 10:04 pm 
Не в сети
студент

Зарегистрирован: Чт янв 26, 2012 9:55 pm
Сообщений: 1
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
Подскажите, а где взять эту обновленную версию?


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Сб мар 31, 2012 10:21 am 
Не в сети
профессор

Зарегистрирован: Чт авг 05, 2010 2:36 pm
Сообщений: 462
Откуда: Донецк
Благодарил (а): 42 раз.
Поблагодарили: 11 раз.
http://rutracker.org/forum/viewtopic.php?t=3884890&start=30

Непонял только прикола после установки на Winux (ядро Ubuntu 11.04)
Все работает отлично, но после второй компиляции иде не открывается. Переинсталил по новой, и опять повторилось. Не буду же после каждой второй компиляции по новой пурик ставить :)
У кого какие соображения имеются?

_________________
PureBasic 5.60 X86, RfoBasic 90, Tinycc 0.97, Asus K54C Intel i7 2.7 ghz, 8 gb ddr3, Intel HD 3000, Windows XP SP3, Windows 10 x64, Nexus 4 and v5.1.1.


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пт апр 27, 2012 11:04 pm 
Не в сети
доцент

Зарегистрирован: Вт авг 02, 2011 7:59 pm
Сообщений: 65
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
На убунту 10.04 ни один из лончеров с первой страницы не запустился - "нет такого файла"
На той же пресловутой росинке, о которой на первой же странице написано, что все работает, не удалось скачать файлы, видимо там репы старые.

Да и собсно захожу в терминале в папку compilers, пытаюсь просто запустить purebasic - нет такой команды

Вообще, может кто-нибудь скомпилировать несколько файлов под линуксом, у кого уже настроен пурик?


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Сб апр 28, 2012 1:56 am 
Не в сети
профессор
Аватар пользователя

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 15 раз.
Пункты репутации: 10
ODB писал(а):
На убунту 10.04 ни один из лончеров с первой страницы не запустился - "нет такого файла"
На той же пресловутой росинке, о которой на первой же странице написано, что все работает, не удалось скачать файлы, видимо там репы старые.

Да и собсно захожу в терминале в папку compilers, пытаюсь просто запустить purebasic - нет такой команды


Если честно, то нихрена непонял :(
Включив остатки телепатических способностей, смею предположить, что в пути к файлу имеются пробелы, а они хоть в винде, хоть в лине - являются разделителями команд и аргументов.

ODB писал(а):
Вообще, может кто-нибудь скомпилировать несколько файлов под линуксом, у кого уже настроен пурик?
Кидай скомпилю :)

_________________
.


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Сб май 05, 2012 4:36 pm 
Не в сети
доцент

Зарегистрирован: Ср фев 22, 2012 7:29 am
Сообщений: 34
Откуда: г.Красноярск
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
Кто нибудь расскажет подробно как поставить Purebasic 4.60 на Ubuntu 12.04 ?


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Сб май 05, 2012 7:37 pm 
Не в сети
профессор
Аватар пользователя

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 15 раз.
Пункты репутации: 10
g.sergey.a писал(а):
Кто нибудь расскажет подробно как поставить Purebasic 4.60 на Ubuntu 12.04 ?

Думаю поймещь - ссыль

_________________
.


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс май 06, 2012 5:05 pm 
Не в сети
доцент

Зарегистрирован: Ср фев 22, 2012 7:29 am
Сообщений: 34
Откуда: г.Красноярск
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
Спасибо тебе добрый человек !!
Будем пробовать))


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Пн май 07, 2012 3:20 pm 
Не в сети
доцент

Зарегистрирован: Ср фев 22, 2012 7:29 am
Сообщений: 34
Откуда: г.Красноярск
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
Все получилось установил версию 4.51 ,возможно и раньше бы это произошло ,но подвел дистрибутив 4.60 с rutreckera, видимо кривыми руками сделан ,о чем сожалею .
P.S. Ан нет пошла 4.60 нужно было заново сделать процедуру распаковки.Бывает же такое ,странно ))
Опробовал на Runtu 1204 http://forum.runtu.org/index.php/topic,2489.0.html
летает


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср июн 06, 2012 9:50 am 
Не в сети
доцент
Аватар пользователя

Зарегистрирован: Вс июн 05, 2011 5:56 pm
Сообщений: 72
Откуда: Бендеры
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
CrunchBang Linux + Backports amd64 (PureBasic 4.60) с вами!

_________________
Русский поисковик PureBasic | Мой блог | Мои работы | PureBasic 5.00 Linux & Windows


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс июн 24, 2012 11:46 am 
Не в сети
МОДЕРАТОР

Зарегистрирован: Вт дек 05, 2006 8:46 am
Сообщений: 6220
Благодарил (а): 16 раз.
Поблагодарили: 173 раз.
Пункты репутации: 48
Попытался на ubuntu-12.04-oem-amd64 поставить PureBasic 4.61 x86. Почему то даже не запустился исполняемый файл PureBasic. И ни каких сообщений, просто не запускается и всё. Поставил PureBasic 4.61 x64 - работает как положено.
Или это такая фишка у ubuntu - 32 битные приложения на 64 системе не работают?

_________________
read-only


Вернуться наверх
 Профиль  
 
 Заголовок сообщения: Re: Установка PureBasic на Ubuntu
СообщениеДобавлено: Вс сен 23, 2012 1:51 am 
Не в сети
ассистент

Зарегистрирован: Вс янв 22, 2012 2:27 pm
Сообщений: 10
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
lakomet писал(а):
Во вложении deb-пакет, который скачает и установит все зависимости. Установит иконки к файлам "*.pb, *.pbi, *.pbv, *.pbp" и создаст пункт в меню.

versions_0.4.3.deb


После установки Вашего пакета 0.4.3 на Ubuntu 12.04, в терминале вываливается вот это.

Код:
1
2
3
Error in file "/usr/share/applications/PureBasic.desktop": "user/x-purebasic" is an invalid MIME type ("user" is an unregistered media type)
/var/lib/dpkg/info/purebasic.postinst: строка 14: gtk-update-icon-cache: команда не найдена
dpkg: не удалось обработать параметр purebasic (--configure):



Сам пурик работает, но эту бадягу как убрать?


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вс сен 23, 2012 12:52 pm 
Не в сети
профессор
Аватар пользователя

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 15 раз.
Пункты репутации: 10
Javaca
Эти сообщения при запуске пурика? Или только во время установки?
Цитата:
Error in file "/usr/share/applications/PureBasic.desktop": "user/x-purebasic" is an invalid MIME type ("user" is an unregistered media type)
На эту ошибку при установке можно внимание не обрашать, т.к. тип "user/x-purebasic", взят с потолка, и только для того, чтобы несловить конфликт, с другими миме типами(т.е. наверняка несловить конфликт).
Ну а по поводу "gtk-update-icon-cache: команда не найдена", то вопрос такой, у вас официальная убунту, или сборка какая? Если сборка то возможно в ней чего то сборщики выкинули :? , а если официальная, то ни чего не удаляли? Система свежеустановленная?

_________________
.


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Вт ноя 06, 2012 8:36 pm 
Не в сети
доцент
Аватар пользователя

Зарегистрирован: Вс июн 05, 2011 5:56 pm
Сообщений: 72
Откуда: Бендеры
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0
Ребята, проблемка!
Ubuntu 12.10 32bit, не получается установить пакет, так как невозможно установить libiodbc2-dev
причина(при попытке установки через apt):
Код:
1
2
3
4
5
6
7
8
9
10
11
 
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:
 
Пакеты, имеющие неудовлетворённые зависимости:
 libiodbc2-dev : Зависит: libiodbc2 (= 3.52.7-2build2) но он не будет установлен
                 Зависит: iodbc (= 3.52.7-2build2) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
 


Как исправить?

_________________
Русский поисковик PureBasic | Мой блог | Мои работы | PureBasic 5.00 Linux & Windows


Вернуться наверх
 Профиль  
 
 Заголовок сообщения:
СообщениеДобавлено: Ср ноя 07, 2012 2:20 am 
Не в сети
профессор
Аватар пользователя

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 15 раз.
Пункты репутации: 10
AgManiX писал(а):
Как исправить?
Вариант раз - скачать от 12.04 и установить через gdebi.
Вариант два - попробуй найди в системе либу unixodbc и снеси её, т.к. libiodbc и unixodbc конфликтуют между собой, хотя похоже что это одни и теже яйца, только с разных ракурсов :roll:
Вариант три - спросить у Фреда :)

_________________
.


Вернуться наверх
 Профиль  
 
Показать сообщения за:  Сортировать по:  
Начать новую тему Ответить на тему  [ Сообщений: 85 ]  На страницу Пред.  1, 2, 3, 4, 5, 6  След.

Часовой пояс: UTC + 3 часа


Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 2


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
Создано на основе phpBB® Forum Software © phpBB Group (блог о phpBB)
Сборка создана CMSart Studio
Русская поддержка phpBB